unit uCommon;

interface

uses
  Vcl.ExtCtrls, Vcl.Imaging.PngImage;

const
  RESOURCE_MODEM_OFF = 'ModemOff';
  RESOURCE_MODEM_ON  = 'ModemOn';
  RESOURCE_SKYPE_OFF = 'SkypeOff';
  RESOURCE_SKYPE_ON  = 'SkypeOn';


procedure LoadImageFromResource(const AImage: TImage; const AResourceName: String);


implementation

procedure LoadImageFromResource(const AImage: TImage; const AResourceName: String);
var
  png: TPngImage;
begin
  png := TPNGImage.Create;
  try
    png.LoadFromResourceName(HInstance, AResourceName);
    AImage.Picture.Bitmap.Assign(png);
    AImage.Refresh;
  finally
    png.Free;
  end;
end;

end.
