program Client;

{$R *.dres}

uses
  Vcl.Forms,
  uMainForm in 'uMainForm.pas' {frmMain},
  Vcl.Themes,
  Vcl.Styles,
  uModemList in 'modules\modemlist\uModemList.pas',
  uModemItem in 'modules\modemlist\uModemItem.pas',
  uSettingsForm in 'uSettingsForm.pas' {frmSettings},
  uSerialComm in 'modules\serialcomm\uSerialComm.pas',
  uSerialCommReader in 'modules\serialcomm\uSerialCommReader.pas',
  uMainDataModule in 'uMainDataModule.pas' {dmMain: TDataModule},
  uSettings in 'modules\settings\uSettings.pas',
  uModemComm in 'modules\modemcomm\uModemComm.pas',
  uQueue in 'modules\modemcomm\uQueue.pas',
  uCommon in 'uCommon.pas',
  uAboutForm in 'uAboutForm.pas' {frmAbout},
  uStartup in 'modules\startup\uStartup.pas',
  uInstanceController in 'modules\instancecontroller\uInstanceController.pas';

{$R *.res}

procedure ProcessParameters;
var
  C1: Integer;
begin
  for C1 := 1 to ParamCount do
    if ParamStr(C1) = '/minimized' then
      Application.ShowMainForm := FALSE;
end;

begin
  TInstanceController.MutexName := 'SkypeDiverterInstanceControllerMutex';
  if not TInstanceController.IsAlphaInstance then
    Exit;
  TInstanceController.RegisterInstance;

  ProcessParameters;

  Application.Initialize;
  Application.MainFormOnTaskbar := TRUE;
  TStyleManager.TrySetStyle('Charcoal Dark Slate');
  Application.CreateForm(TdmMain, dmMain);
  Application.CreateForm(TfrmMain, frmMain);
  Application.Run;

  TInstanceController.UnregisterInstance;
end.
