unit uModemItem;

interface

type
  TModemItem = class
  private
    FDeviceId    : String;
    FFriendlyName: String;
    FAttachedTo  : String;
  public
    constructor Create(const ADeviceId, AFriendlyName, AAttachedTo: String);

    property DeviceId    : String read FDeviceId;
    property FriendlyName: String read FFriendlyName;
    property AttachedTo  : String read FAttachedTo;
  end;

implementation

{ TModemItem }

constructor TModemItem.Create(const ADeviceId, AFriendlyName, AAttachedTo: String);
begin
  FDeviceId := ADeviceId;
  FFriendlyName := AFriendlyName;
  FAttachedTo := AAttachedTo;
end;

end.
